# $Id: scarab.spec,v 1.6 2008/04/02 15:03:56 slords Exp $
# Authority: picsone
# Name: Normando Hall

%define name scarab
%define version 0.21
%define release 2
%define usertom tomcat

Summary: Scarab Issue Tracker packaged for sme server
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Networking/Other
Source: %{name}-%{version}.tar.gz
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
Requires: jdk
BuildRequires: e-smith-devtools
BuildArchitectures: noarch

%description
Artifact tracking system

%changelog
* Wed Dec 8 2007 Normando Hall <nhall@unixlan.com.ar>
- first release

%pre
/etc/init.d/tomcat stop

%prep

%setup

%build


%install
rm -rf $RPM_BUILD_ROOT
(cd root ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist



%clean
rm -rf $RPM_BUILD_ROOT



%post
mysql < /opt/scarab/db/mysql/install_db_plain.sql
/etc/init.d/tomcat start
chown -R tomcat:tomcat /opt/tomcat/
chmod 770 /opt/tomcat/

%preun
/etc/init.d/tomcat stop
mysql < /opt/scarab/db/mysql/remove_db.sql

%postun
rm -rf /opt/tomcat/webapps/scarab
chown -R tomcat:tomcat /opt/tomcat/
chmod 770 /opt/tomcat/
/etc/init.d/tomcat start

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)




